org.apache.hadoop.hdfs.server.namenode

## Class FsImageProto.SecretManagerSection

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - org.apache.hadoop.hdfs.server.namenode.FsImageProto.SecretManagerSection

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, FsImageProto.SecretManagerSectionOrBuilder
  Enclosing class:
    FsImageProto

      public static final class FsImageProto.SecretManagerSection
      extends com.google.protobuf.GeneratedMessage
      implements FsImageProto.SecretManagerSectionOrBuilder

  Protobuf type `hadoop.hdfs.fsimage.SecretManagerSection`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FsImageProto.SecretManagerSection.Builder` Protobuf type `hadoop.hdfs.fsimage.SecretManagerSection`
    `static class` | `FsImageProto.SecretManagerSection.DelegationKey` Protobuf type `hadoop.hdfs.fsimage.SecretManagerSection.DelegationKey`
    `static interface` | `FsImageProto.SecretManagerSection.DelegationKeyOrBuilder`
    `static class` | `FsImageProto.SecretManagerSection.PersistToken` Protobuf type `hadoop.hdfs.fsimage.SecretManagerSection.PersistToken`
    `static interface` | `FsImageProto.SecretManagerSection.PersistTokenOrBuilder`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CURRENTID_FIELD_NUMBER`
    `static int` | `NUMKEYS_FIELD_NUMBER`
    `static int` | `NUMTOKENS_FIELD_NUMBER`
    `static com.google.protobuf.Parser<FsImageProto.SecretManagerSection>` | `PARSER`
    `static int` | `TOKENSEQUENCENUMBER_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCurrentId()` `optional uint32 currentId = 1;`
    `static FsImageProto.SecretManagerSection` | `getDefaultInstance()`
    `FsImageProto.SecretManagerSection` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `int` | `getNumKeys()` `optional uint32 numKeys = 3;`
    `int` | `getNumTokens()` `optional uint32 numTokens = 4;`
    `com.google.protobuf.Parser<FsImageProto.SecretManagerSection>` | `getParserForType()`
    `int` | `getSerializedSize()`
    `int` | `getTokenSequenceNumber()` `optional uint32 tokenSequenceNumber = 2;`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `boolean` | `hasCurrentId()` `optional uint32 currentId = 1;`
    `boolean` | `hasNumKeys()` `optional uint32 numKeys = 3;`
    `boolean` | `hasNumTokens()` `optional uint32 numTokens = 4;`
    `boolean` | `hasTokenSequenceNumber()` `optional uint32 tokenSequenceNumber = 2;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static FsImageProto.SecretManagerSection.Builder` | `newBuilder()`
    `static FsImageProto.SecretManagerSection.Builder` | `newBuilder(FsImageProto.SecretManagerSection prototype)`
    `FsImageProto.SecretManagerSection.Builder` | `newBuilderForType()`
    `protected FsImageProto.SecretManagerSection.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static FsImageProto.SecretManagerSection` | `parseDelimitedFrom(InputStream input)`
    `static FsImageProto.SecretManagerSection` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static FsImageProto.SecretManagerSection` | `parseFrom(byte[] data)`
    `static FsImageProto.SecretManagerSection` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static FsImageProto.SecretManagerSection` | `parseFrom(com.google.protobuf.ByteString data)`
    `static FsImageProto.SecretManagerSection` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static FsImageProto.SecretManagerSection` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static FsImageProto.SecretManagerSection` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static FsImageProto.SecretManagerSection` | `parseFrom(InputStream input)`
    `static FsImageProto.SecretManagerSection` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `FsImageProto.SecretManagerSection.Builder` | `toBuilder()`
    `protected Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<FsImageProto.SecretManagerSection> PARSER

    - #### CURRENTID_FIELD_NUMBER

          public static final int CURRENTID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### TOKENSEQUENCENUMBER_FIELD_NUMBER

          public static final int TOKENSEQUENCENUMBER_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### NUMKEYS_FIELD_NUMBER

          public static final int NUMKEYS_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### NUMTOKENS_FIELD_NUMBER

          public static final int NUMTOKENS_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static FsImageProto.SecretManagerSection getDefaultInstance()

    - #### getDefaultInstanceForType

          public FsImageProto.SecretManagerSection getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<FsImageProto.SecretManagerSection> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### hasCurrentId

          public boolean hasCurrentId()

      `optional uint32 currentId = 1;`
      Specified by:
        `hasCurrentId` in interface `FsImageProto.SecretManagerSectionOrBuilder`

    - #### getCurrentId

          public int getCurrentId()

      `optional uint32 currentId = 1;`
      Specified by:
        `getCurrentId` in interface `FsImageProto.SecretManagerSectionOrBuilder`

    - #### hasTokenSequenceNumber

          public boolean hasTokenSequenceNumber()

      `optional uint32 tokenSequenceNumber = 2;`
      Specified by:
        `hasTokenSequenceNumber` in interface `FsImageProto.SecretManagerSectionOrBuilder`

    - #### getTokenSequenceNumber

          public int getTokenSequenceNumber()

      `optional uint32 tokenSequenceNumber = 2;`
      Specified by:
        `getTokenSequenceNumber` in interface `FsImageProto.SecretManagerSectionOrBuilder`

    - #### hasNumKeys

          public boolean hasNumKeys()

      `optional uint32 numKeys = 3;`
      Specified by:
        `hasNumKeys` in interface `FsImageProto.SecretManagerSectionOrBuilder`

    - #### getNumKeys

          public int getNumKeys()

      `optional uint32 numKeys = 3;`
      Specified by:
        `getNumKeys` in interface `FsImageProto.SecretManagerSectionOrBuilder`

    - #### hasNumTokens

          public boolean hasNumTokens()

      `optional uint32 numTokens = 4;`

           repeated DelegationKey keys
           repeated PersistToken tokens

      Specified by:
        `hasNumTokens` in interface `FsImageProto.SecretManagerSectionOrBuilder`

    - #### getNumTokens

          public int getNumTokens()

      `optional uint32 numTokens = 4;`

           repeated DelegationKey keys
           repeated PersistToken tokens

      Specified by:
        `getNumTokens` in interface `FsImageProto.SecretManagerSectionOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected Object writeReplace()
                                 throws ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `ObjectStreamException`

    - #### parseFrom

          public static FsImageProto.SecretManagerSection parseFrom(com.google.protobuf.ByteString data)
                                                             throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static FsImageProto.SecretManagerSection parseFrom(com.google.protobuf.ByteString data,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static FsImageProto.SecretManagerSection parseFrom(byte[] data)
                                                             throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static FsImageProto.SecretManagerSection parseFrom(byte[] data,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static FsImageProto.SecretManagerSection parseFrom(InputStream input)
                                                             throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static FsImageProto.SecretManagerSection parseFrom(InputStream input,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static FsImageProto.SecretManagerSection parseDelimitedFrom(InputStream input)
                                                                      throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static FsImageProto.SecretManagerSection parseDelimitedFrom(InputStream input,
                                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                      throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static FsImageProto.SecretManagerSection parseFrom(com.google.protobuf.CodedInputStream input)
                                                             throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static FsImageProto.SecretManagerSection parseFrom(com.google.protobuf.CodedInputStream input,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws IOException

      Throws:
        `IOException`

    - #### newBuilder

          public static FsImageProto.SecretManagerSection.Builder newBuilder()

    - #### newBuilderForType

          public FsImageProto.SecretManagerSection.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static FsImageProto.SecretManagerSection.Builder newBuilder(FsImageProto.SecretManagerSection prototype)

    - #### toBuilder

          public FsImageProto.SecretManagerSection.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected FsImageProto.SecretManagerSection.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.